def first(win)
  win.remove(win.child) if win.child 
  bindtextdomain("dcast", localedir="./locale")

  table = Gtk::Table.new(2, 2, false)
  image_show(0, 1, 0, 1, table)

  label = Gtk::Label.new(NKF.nkf("-m0 -w", _("Thank you for using DCAST.\n\nPlease push the button of \"Next\" under the screen.")))
  table.attach(label, 1, 2, 0, 1)

  $flag = "first"
  dummy = Array.new
  bottom_show(0, 2, 1, 2, win, table, dummy)

  win.set_default_size(500,300)
  win.set_title("DCAST")
  win.add(table)
  win.show_all
end

if __FILE__ == $0
  require "libexec/load"

  Gtk.init

  win = Gtk::Window.new
  win.signal_connect("destroy") {
    Gtk::main_quit
  }

  first(win)

  Gtk.main
end
